Description

Background modeling is an area that should at least partly be done by the user (instead of pre-computed by the CTA collaboration

and given to the user) to have flexibility.

I'd like to implement a ctool that takes a list of off runs, stacks the counts and does some smoothing to create a cube background

model.

Using AGN observations should be possible, i.e. it also has to take a list of circles to cut out (typically one per run) and then correct

for this by also filling livetime cubes.

Some questions:

Name:`ctbgcube` or does someone have a better idea?

Use FOV coordinate system (or sky system)?

For each instrument we will need extra scripts that determine good binnings in energy, X, Y, zenith angle, muon efficiency for a given

set of cuts ... to get decent statistics, but they would use this ctool as a building block.

Once I have a prototype working we can discuss how to split this into sub-tasks, e.g. which smoothing and interpolation methods we

want for this in Gammalib.

I think this is something that several of us have already worked on, If you have useful code, please attach it to this ticket or put it up

on github.

History

#1 - 12/11/2013 05:06 PM - Mayer Michael

I vote for stacking the off runs in the camera system. Also, the stacked background model is only valid for a certain set of cuts.

The problem with cutting out the AGN is that every run the position of the AGN is different (due to wobble observation strategy). Therefore, you would

have to stack runs with the same wobble offset. Furthermore, we need to think about the size of the cut to not collect PSF leakage from the source.

Another thing is that you would stack runs with different energy thresholds which means you would probably get wrong mean fluxes at low energies.

#2 - 12/11/2013 08:21 PM - Knödlseder Jürgen

- Target version set to 2nd coding sprint

#3 - 07/19/2014 02:15 AM - Knödlseder Jürgen

- Target version deleted (2nd coding sprint)
